ZIP_GET_ARCHIVE_FLAG(3)

NAME
zip_get_archive_flag - get status flags for zip

LIBRARY
libzip (-lzip)

SYNOPSIS
zip.h int zip_get_archive_flag zip_t *archive zip_flags_t flag zip_flags_t flags

DESCRIPTION
The zip_get_archive_flag function returns if the flag flag is set for the archive archive. The archive flags might have been changed with zip_set_archive_flag; if flags is set to ZIP_FL_UNCHANGED, the original unchanged flags are tested.

Supported flags are:

ZIP_AFL_RDONLY
    The archive is read-only.

RETURN VALUES
zip_get_archive_flag returns 1 if flag is set for archive, 0 if not, and -1 if an error occurred.

SEE ALSO
libzip(3), zip_set_archive_flag(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>